Subject: Re: bug#75591: 30.0.92; Inconsistency in Function Naming: *-open-file vs. *-find-file

From: Anush V <[email-masked]>
Date: Thu, 16 Jan 2025 08:20:19 -0500

> From: Eli Zaretskii <[email-masked]>
> Date: Wed, 15 Jan 2025 22:16:03 +0200
>
>> From: Anush V <[email-masked]>
>> Date: Wed, 15 Jan 2025 13:29:44 -0500
>>
>> I noticed an inconsistency in the naming conventions of certain Emacs
>> functions that I find confusing.  Specifically, some functions use
>> *-open-file(s), while others use *-find-file.
>>
>> Functions such as eww-open-file and recentf-open-files use 'open-file'
>> or 'open-files' in their naming.  In contrast, many other functions,
>> including dired-find-file, find-file, project-find-file, and
>> ido-find-file, use the 'find-file' format.
>>
>> I am curious about the rationale behind this difference.  Is there
>> a specific reason that some functions prefer 'open-file' over
>> 'find-file' even though they seem to perform similar actions?
>
> I think just personal preferences of whoever implemented these
> functions, and the many years that passed between the "find" names
> were introduced and the time the "open" names weer introduced.
> Nothing more.

Thank you for clarifying. I had wrongly assumed that "find-file" might
be the standard, as those seemed to have been introduced first.

Regards,
Anush